#ifndef SCOPE_H
#define SCOPE_H

#include <QMainWindow>
#include "code/tree/tree_model_set.h"
#include <QtCharts/QChartView>
#include <QtCharts/QSplineSeries>
// 图像设置
#define MAX_X 50
#define MAX_Y 1.5
#define TRUE 1
#define FALSE 0

namespace Ui
{
    class scope;
}

class scope : public QMainWindow
{
    Q_OBJECT

public:
    explicit scope(QWidget *parent = nullptr);
    void setTreeModel(tree_model_set *model); // 接受 tree_model_set 实例
    void Chart_Init();
    void DrawLine(float value);
    ~scope();



signals:
    void treeItemClicked(const QModelIndex &index);
private slots:
    void handleTreeItemClicked(const QModelIndex &index);
    void on_pushButton_clicked();

private:
    Ui::scope *ui;
    tree_model_set *treeModel; // 保存 tree_model_set 实例的指针
    QChart *chart;
    QLineSeries *lineSeries = nullptr; //
    QVector<QPointF> generateRandomData(int pointCount);
    int count = 0; // 记录数据点的序号
};

#endif // SCOPE_H
