#include "set.h"
#include "ui_set.h"
#include <QTreeView>
#include <QStandardItemModel>


set::set(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::set),
    treeModel(nullptr)

{
    ui->setupUi(this);

    // 将模型设置为 QTreeView 的模型
    // 将模型设置为 QTreeView 的模型
    QStandardItemModel* model = treeModel->tree_set();
    ui->tree_set->setModel(model);
    ui->tree_set->expandAll();


    // 将 QTreeView 的 clicked 信号连接到 handleTreeItemClicked 槽函数
    connect(ui->tree_set, &QTreeView::clicked, this, &set::handleTreeItemClicked);
}

void set::handleTreeItemClicked(const QModelIndex &index) {
    // 转发信号
    emit treeItemClicked(index);
}
void set::setTreeModel(tree_model_set* model)
{
    treeModel = model; // 设置 tree_model_set 实例
}
set::~set()
{
    delete ui;
}
