#ifndef TCP_H
#define TCP_H

#include <QMainWindow>
#include <QTcpServer>
#include <QTcpSocket>
#include <QLabel>
#include <QFile>
#include "code/scope/scope.h"

namespace Ui {
class tcp;
}

class tcp : public QMainWindow
{
    Q_OBJECT

public:
    explicit tcp(QWidget *parent = nullptr, scope *pageScope = nullptr);  // 传递 scope 对象指针
    ~tcp();

private slots:
    void on_setListen_clicked();
    void connectClient(QTcpSocket *clientSocket);

    void on_sendMsg_clicked();
    void receiveFile(const QString &filename, const QByteArray &data);
private:
    Ui::tcp *ui;
    QTcpServer* ms;
    QTcpSocket* mtcp;
    QLabel* mstatus;
    scope *page_scope;
    // QFile *file;
    QMap<QTcpSocket*, QString> connectedClients;
    QString sendname;

    int connectNum;
    int clientIdentifierCounter = 1;
};

#endif // TCP_H
